Datenschutzaufträge auflisten
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/privacy/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/privacy/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/privacy/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/privacy/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"job_type": "EXPORT",
"target_type": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"result": {
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]Verbraucher (B2C)
Datenschutzaufträge auflisten
Alle Datenschutzanfragen für den authentifizierten Verbraucher auflisten. Gibt Export- und Löschaufträge sortiert nach Erstellungsdatum mit Echtzeit-Statusaktualisierungen zurück. Erfordert eine authentifizierte individuelle Verbrauchersitzung; eine Geschäftssitzung oder ein Workspace-API-Schlüssel kann die Benutzeridentität nicht ersetzen.
GET
/
v1
/
consumer
/
privacy
/
jobs
Datenschutzaufträge auflisten
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/privacy/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/privacy/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/privacy/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/privacy/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"job_type": "EXPORT",
"target_type": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"result": {
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]Alle Datenschutzanfragen für den authentifizierten Verbraucher auflisten. Gibt Export- und Löschaufträge sortiert nach Erstellungsdatum (neueste zuerst) mit Echtzeit-Statusaktualisierungen zurück.
Verwenden Sie diesen Endpunkt, um den Abschluss des Exports abzufragen oder zu überprüfen, ob eine Löschanfrage bearbeitet wurde.
Antworten
Job-Status
| Status | Bedeutung |
|---|---|
PENDING | Anfrage erhalten, wartet auf Bearbeitung |
APPROVED | Anfrage genehmigt und zur Ausführung in die Warteschlange gestellt |
PROCESSING | Aktiv in Bearbeitung |
COMPLETED | Anfrage erfüllt — Download-Link für Exporte verfügbar |
FAILED | Ein Fehler ist aufgetreten; Support kontaktieren |
EXPIRED | Export-Download-Link abgelaufen; neuen Export anfordern |
Antwort
Liste der Datenschutzaufträge

